> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List indexed websites

> List saved website collections, independently of crawl-history retention.



## OpenAPI

````yaml https://api.hyperspell.com/openapi.json get /integrations/web_crawler/websites
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security: []
paths:
  /integrations/web_crawler/websites:
    get:
      tags:
        - Integrations
      summary: List indexed websites
      description: >-
        List saved website collections, independently of crawl-history
        retention.
      operationId: list_websites_integrations_web_crawler_websites_get
      parameters:
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 2048
              - type: 'null'
            title: Cursor
        - name: q
          in: query
          required: false
          schema:
            type: string
            maxLength: 2048
            default: ''
            title: Q
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 30
            title: Limit
        - name: X-As-User
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Optionally set this header to act as a specific user when using an
              API Key, equivalent to first exchanging the API Key for a User
              Token
            title: X-As-User
          description: >-
            Optionally set this header to act as a specific user when using an
            API Key, equivalent to first exchanging the API Key for a User Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebsiteList'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
components:
  schemas:
    WebsiteList:
      properties:
        websites:
          items:
            $ref: '#/components/schemas/WebsiteSummary'
          type: array
          title: Websites
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - websites
      title: WebsiteList
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WebsiteSummary:
      properties:
        url:
          type: string
          title: Url
        favicon:
          anyOf:
            - type: string
            - type: 'null'
          title: Favicon
        pages:
          type: integer
          title: Pages
        indexed:
          type: integer
          title: Indexed
        processing:
          type: integer
          title: Processing
        failed:
          type: integer
          title: Failed
      type: object
      required:
        - url
        - pages
        - indexed
        - processing
        - failed
      title: WebsiteSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.